Loading...
Searching...
No Matches
pcl::Permutohedral Class Reference

Implementation of a high-dimensional gaussian filtering using the permutohedral lattice. More...

`#include <pcl/ml/permutohedral.h>`

## Classes

struct | Neighbors

## Public Member Functions

| Permutohedral ()
| Constructor for Permutohedral class.
void | init (const std::vector< float > &feature, const int feature_dimension, const int N)
| Initialization.
void | compute (std::vector< float > &out, const std::vector< float > &in, int value_size, int in_offset=0, int out_offset=0, int in_size=-1, int out_size=-1) const
void | initOLD (const std::vector< float > &feature, const int feature_dimension, const int N)
void | computeOLD (std::vector< float > &out, const std::vector< float > &in, int value_size, int in_offset=0, int out_offset=0, int in_size=-1, int out_size=-1) const
void | debug ()
std::size_t | generateHashKey (const std::vector< short > &k)
| Pseudo random generator.

## Public Attributes

int | N_
| Number of variables.
std::vector< Neighbors > | blur_neighbors_
int | M_
| Size of sparse discretized space.
int | d_
| Dimension of feature.
std::vector< float > | offset_
std::vector< float > | offsetTMP_
std::vector< float > | barycentric_
Neighbors * | blur_neighborsOLD_
int * | offsetOLD_
float * | barycentricOLD_
std::vector< float > | baryOLD_

## Detailed Description

Implementation of a high-dimensional gaussian filtering using the permutohedral lattice.

Author
  Christian Potthast (potth.nosp@m.ast@.nosp@m.usc.e.nosp@m.du)

Adams_fasthigh-dimensional author = {Andrew Adams and Jongmin Baek and Myers Abraham Davis}, title = {Fast high-dimensional filtering using the permutohedral lattice}, booktitle = {Computer Graphics Forum (EG 2010 Proceedings}, year = {}, pages = {2010} }

Definition at line 66 of file permutohedral.h.

## Constructor & Destructor Documentation

## Permutohedral()

pcl::Permutohedral::Permutohedral | ( |  | ) |

Constructor for Permutohedral class.

## Member Function Documentation

## compute()

void pcl::Permutohedral::compute | ( | std::vector< float > & | out,
|  | const std::vector< float > & | in,
|  | int | value_size,
|  | int | in_offset = 0,
|  | int | out_offset = 0,
|  | int | in_size = -1,
|  | int | out_size = -1 ) const

## computeOLD()

void pcl::Permutohedral::computeOLD | ( | std::vector< float > & | out,
|  | const std::vector< float > & | in,
|  | int | value_size,
|  | int | in_offset = 0,
|  | int | out_offset = 0,
|  | int | in_size = -1,
|  | int | out_size = -1 ) const

## debug()

void pcl::Permutohedral::debug | ( |  | ) |

## generateHashKey()

std::size_t pcl::Permutohedral::generateHashKey | ( | const std::vector< short > & | k | ) |

inline

Pseudo random generator.

Definition at line 107 of file permutohedral.h.

References d_.

## init()

void pcl::Permutohedral::init | ( | const std::vector< float > & | feature,
|  | const int | feature_dimension,
|  | const int | N )

Initialization.

## initOLD()

void pcl::Permutohedral::initOLD | ( | const std::vector< float > & | feature,
|  | const int | feature_dimension,
|  | const int | N )

## Member Data Documentation

## barycentric_

std::vector<float> pcl::Permutohedral::barycentric_

Definition at line 132 of file permutohedral.h.

## barycentricOLD_

float* pcl::Permutohedral::barycentricOLD_

Definition at line 136 of file permutohedral.h.

## baryOLD_

std::vector<float> pcl::Permutohedral::baryOLD_

Definition at line 137 of file permutohedral.h.

## blur_neighbors_

std::vector<Neighbors> pcl::Permutohedral::blur_neighbors_

Definition at line 122 of file permutohedral.h.

## blur_neighborsOLD_

Neighbors* pcl::Permutohedral::blur_neighborsOLD_

Definition at line 134 of file permutohedral.h.

## d_

int pcl::Permutohedral::d_

Dimension of feature.

Definition at line 128 of file permutohedral.h.

Referenced by generateHashKey().

## M_

int pcl::Permutohedral::M_

Size of sparse discretized space.

Definition at line 125 of file permutohedral.h.

## N_

int pcl::Permutohedral::N_

Number of variables.

Definition at line 120 of file permutohedral.h.

## offset_

std::vector<float> pcl::Permutohedral::offset_

Definition at line 130 of file permutohedral.h.

## offsetOLD_

int* pcl::Permutohedral::offsetOLD_

Definition at line 135 of file permutohedral.h.

## offsetTMP_

std::vector<float> pcl::Permutohedral::offsetTMP_

Definition at line 131 of file permutohedral.h.

The documentation for this class was generated from the following file:

- pcl/ml/permutohedral.h